<?php
/*---------------------------------------------------------------*/
/*
    Titre : Arrondi une distance en mètre ou en kilomètre                                                               
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=511
    Auteur           : forty                                                                                              
    Website auteur   : http://www.toplien.fr/                                                                             
    Date dition     : 25 Avril 2009                                                                                      
    Date mise  jour : 14 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

    function arrondi_distance($distance_metre) {
        $resultat = round($distance_metre);
        $len = strlen($resultat) - 2;
        if ($len > 0) {
            $resultat = round($distance_metre / pow(10, $len), 0) * pow(10, $len
);
            if ($resultat >= 10000) {
                return number_format(($resultat / 1000), 0, ',', '') . ' km';
            } elseif ($resultat >= 1000) {
                return preg_replace('/,0$/', '', number_format(($resultat / 1000
), 1 , ',', '')) . ' km';
            } else {
                return $resultat . ' m';
            }
        } else {
            return $resultat . ' m';
        }
    }
?>